package it.integry.integrywmsnative.core.model;

import java.util.ArrayList;
import java.util.List;

public class StbMenu extends EntityBase {

    public StbMenu() {
        this.type = "stb_menu";
    }

    private String codOpz;
    private String codParent;
    private String tipoAzienda;
    private String descrizione;
    private String descrizioneEstesa;
    private String entityName;
    private String flagAttivo;
    private String flagPrinterSetup;
    private String gestName;
    private String note;
    private String objectType;
    private String openType;
    private String parameter;
    private String pictureMenu;
    private String pictureSelect;
    private Integer pos;
    private Integer posCliente;
    private Integer posTipoAzienda;
    private String urlDescrizione;

    private final List<StbMenu> stbMenuChildren = new ArrayList<>();

    public String getCodOpz() {
        return codOpz;
    }

    public StbMenu setCodOpz(String codOpz) {
        this.codOpz = codOpz;
        return this;
    }

    public String getCodParent() {
        return codParent;
    }

    public StbMenu setCodParent(String codParent) {
        this.codParent = codParent;
        return this;
    }

    public String getTipoAzienda() {
        return tipoAzienda;
    }

    public StbMenu setTipoAzienda(String tipoAzienda) {
        this.tipoAzienda = tipoAzienda;
        return this;
    }

    public String getDescrizione() {
        return descrizione;
    }

    public StbMenu setDescrizione(String descrizione) {
        this.descrizione = descrizione;
        return this;
    }

    public String getDescrizioneEstesa() {
        return descrizioneEstesa;
    }

    public StbMenu setDescrizioneEstesa(String descrizioneEstesa) {
        this.descrizioneEstesa = descrizioneEstesa;
        return this;
    }

    public String getEntityName() {
        return entityName;
    }

    public StbMenu setEntityName(String entityName) {
        this.entityName = entityName;
        return this;
    }

    public String getFlagAttivo() {
        return flagAttivo;
    }

    public StbMenu setFlagAttivo(String flagAttivo) {
        this.flagAttivo = flagAttivo;
        return this;
    }

    public String getFlagPrinterSetup() {
        return flagPrinterSetup;
    }

    public StbMenu setFlagPrinterSetup(String flagPrinterSetup) {
        this.flagPrinterSetup = flagPrinterSetup;
        return this;
    }

    public String getGestName() {
        return gestName;
    }

    public StbMenu setGestName(String gestName) {
        this.gestName = gestName;
        return this;
    }

    public String getNote() {
        return note;
    }

    public StbMenu setNote(String note) {
        this.note = note;
        return this;
    }

    public String getObjectType() {
        return objectType;
    }

    public StbMenu setObjectType(String objectType) {
        this.objectType = objectType;
        return this;
    }

    public String getOpenType() {
        return openType;
    }

    public StbMenu setOpenType(String openType) {
        this.openType = openType;
        return this;
    }

    public String getParameter() {
        return parameter;
    }

    public StbMenu setParameter(String parameter) {
        this.parameter = parameter;
        return this;
    }

    public String getPictureMenu() {
        return pictureMenu;
    }

    public StbMenu setPictureMenu(String pictureMenu) {
        this.pictureMenu = pictureMenu;
        return this;
    }

    public String getPictureSelect() {
        return pictureSelect;
    }

    public StbMenu setPictureSelect(String pictureSelect) {
        this.pictureSelect = pictureSelect;
        return this;
    }

    public Integer getPos() {
        return pos;
    }

    public StbMenu setPos(Integer pos) {
        this.pos = pos;
        return this;
    }

    public Integer getPosCliente() {
        return posCliente;
    }

    public StbMenu setPosCliente(Integer posCliente) {
        this.posCliente = posCliente;
        return this;
    }

    public Integer getPosTipoAzienda() {
        return posTipoAzienda;
    }

    public StbMenu setPosTipoAzienda(Integer posTipoAzienda) {
        this.posTipoAzienda = posTipoAzienda;
        return this;
    }

    public String getType() {
        return type;
    }

    public StbMenu setType(String type) {
        this.type = type;
        return this;
    }

    public String getUrlDescrizione() {
        return urlDescrizione;
    }

    public StbMenu setUrlDescrizione(String urlDescrizione) {
        this.urlDescrizione = urlDescrizione;
        return this;
    }

    public List<StbMenu> getStbMenuChildren() {
        return stbMenuChildren;
    }
}
